import { HttpClient } from '@angular/common/http';
import { OpenApiDataSource } from './open-api.data-source';
import { OpenApiConfigService } from '@rxap/open-api';
import * as i0 from "@angular/core";
export declare class OpenApiDataSourceLoader {
    readonly openApiConfig: OpenApiConfigService;
    readonly http: HttpClient;
    constructor(openApiConfig: OpenApiConfigService, http: HttpClient);
    load(definitionId: string): OpenApiDataSource | null;
    static ɵfac: i0.ɵɵFactoryDeclaration<OpenApiDataSourceLoader, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<OpenApiDataSourceLoader>;
}
