[**@rxap/open-api v19.0.2-dev.1**](../README.md)

***

[@rxap/open-api](../globals.md) / OpenApiMetaData

# Interface: OpenApiMetaData

Defined in: [packages/angular/open-api/src/lib/open-api.meta-data.ts:4](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/open-api/src/lib/open-api.meta-data.ts#L4)

## Extends

- `BaseRemoteMethodMetadata`

## Indexable

\[`key`: `string`\]: `any`

## Properties

### id

> **id**: `string`

Defined in: [packages/angular/open-api/src/lib/open-api.meta-data.ts:17](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/open-api/src/lib/open-api.meta-data.ts#L17)

#### Overrides

`BaseRemoteMethodMetadata.id`

***

### operation?

> `optional` **operation**: `string` \| [`OperationObjectWithMetadata`](OperationObjectWithMetadata.md)

Defined in: [packages/angular/open-api/src/lib/open-api.meta-data.ts:8](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/open-api/src/lib/open-api.meta-data.ts#L8)

The operation object with path and method

***

### refresh?

> `optional` **refresh**: (`Type`\<`Refreshable`\> \| `InjectionToken`\<`Refreshable`\> \| `AbstractType`\<`Refreshable`\>)[]

Defined in: [packages/angular/remote-method/src/lib/base.remote-method.ts:24](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/remote-method/src/lib/base.remote-method.ts#L24)

#### Inherited from

`BaseRemoteMethodMetadata.refresh`

***

### serverId?

> `optional` **serverId**: `string`

Defined in: [packages/angular/open-api/src/lib/open-api.meta-data.ts:16](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/open-api/src/lib/open-api.meta-data.ts#L16)

used to specify the target server for the reset api operation

***

### serverIndex?

> `optional` **serverIndex**: `number`

Defined in: [packages/angular/open-api/src/lib/open-api.meta-data.ts:12](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/open-api/src/lib/open-api.meta-data.ts#L12)

The index of the server object in the servers array in the open api config
