[**@rxap/open-api v19.0.2-dev.1**](../README.md)

***

[@rxap/open-api](../globals.md) / OperationObjectWithMetadata

# Interface: OperationObjectWithMetadata

Defined in: [packages/angular/open-api/src/lib/open-api.ts:3](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/open-api/src/lib/open-api.ts#L3)

## Extends

- `OperationObject`

## Properties

### callbacks?

> `optional` **callbacks**: `object`

Defined in: node\_modules/openapi-types/dist/index.d.ts:224

#### Index Signature

\[`callback`: `string`\]: `ReferenceObject` \| `CallbackObject`

#### Inherited from

`OpenAPIV3.OperationObject.callbacks`

***

### deprecated?

> `optional` **deprecated**: `boolean`

Defined in: node\_modules/openapi-types/dist/index.d.ts:227

#### Inherited from

`OpenAPIV3.OperationObject.deprecated`

***

### description?

> `optional` **description**: `string`

Defined in: node\_modules/openapi-types/dist/index.d.ts:218

#### Inherited from

`OpenAPIV3.OperationObject.description`

***

### externalDocs?

> `optional` **externalDocs**: `ExternalDocumentationObject`

Defined in: node\_modules/openapi-types/dist/index.d.ts:219

#### Inherited from

`OpenAPIV3.OperationObject.externalDocs`

***

### method

> **method**: `string`

Defined in: [packages/angular/open-api/src/lib/open-api.ts:5](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/open-api/src/lib/open-api.ts#L5)

***

### operationId?

> `optional` **operationId**: `string`

Defined in: node\_modules/openapi-types/dist/index.d.ts:220

#### Inherited from

`OpenAPIV3.OperationObject.operationId`

***

### parameters?

> `optional` **parameters**: (`ReferenceObject` \| `ParameterObject`)[]

Defined in: node\_modules/openapi-types/dist/index.d.ts:221

#### Inherited from

`OpenAPIV3.OperationObject.parameters`

***

### path

> **path**: `string`

Defined in: [packages/angular/open-api/src/lib/open-api.ts:4](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/open-api/src/lib/open-api.ts#L4)

***

### requestBody?

> `optional` **requestBody**: `ReferenceObject` \| `RequestBodyObject`

Defined in: node\_modules/openapi-types/dist/index.d.ts:222

#### Inherited from

`OpenAPIV3.OperationObject.requestBody`

***

### responses

> **responses**: `ResponsesObject`

Defined in: node\_modules/openapi-types/dist/index.d.ts:223

#### Inherited from

`OpenAPIV3.OperationObject.responses`

***

### security?

> `optional` **security**: `SecurityRequirementObject`[]

Defined in: node\_modules/openapi-types/dist/index.d.ts:228

#### Inherited from

`OpenAPIV3.OperationObject.security`

***

### servers?

> `optional` **servers**: `ServerObject`[]

Defined in: node\_modules/openapi-types/dist/index.d.ts:229

#### Inherited from

`OpenAPIV3.OperationObject.servers`

***

### summary?

> `optional` **summary**: `string`

Defined in: node\_modules/openapi-types/dist/index.d.ts:217

#### Inherited from

`OpenAPIV3.OperationObject.summary`

***

### tags?

> `optional` **tags**: `string`[]

Defined in: node\_modules/openapi-types/dist/index.d.ts:216

#### Inherited from

`OpenAPIV3.OperationObject.tags`
